#include "OwningPlayerHasStatusEffectOfClass.h"
#include "Templates/SubclassOf.h"
#include "Net/UnrealNetwork.h"

class UStatusEffect;

void UOwningPlayerHasStatusEffectOfClass::SetClassTypeToMatch(TSubclassOf<UStatusEffect> classType)
{

}

void UOwningPlayerHasStatusEffectOfClass::OnRep_IsConditionMet()
{

}

void UOwningPlayerHasStatusEffectOfClass::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UOwningPlayerHasStatusEffectOfClass, _isConditionMet);
}

UOwningPlayerHasStatusEffectOfClass::UOwningPlayerHasStatusEffectOfClass()
{
	this->_isConditionMet = false;
}
